Loading...
Searching...
No Matches
derror.c File Reference

Error messages and library version. More...

`#include "config.h"`
`#include "ncdispatch.h"`
Include dependency graph for derror.c:

Go to the source code of this file.

## Functions

const char * | nc_inq_libvers (void)
| Return the library version.
const char * | nc_strerror (int ncerr1)
| Given an error number, return an error message.

## Variables

static const char | nc_libvers [] = PACKAGE_VERSION " of "__DATE__" "__TIME__" $"

## Detailed Description

Error messages and library version.

These functions return the library version, and error messages.

Copyright 2018 University Corporation for Atmospheric Research/Unidata. See COPYRIGHT file for more info.

Definition in file derror.c.

## Function Documentation

## nc_inq_libvers()

const char * nc_inq_libvers | ( | void |  | ) |

Return the library version.

Returns
  short string that contains the version information for the library.

Definition at line 27 of file derror.c.

## Variable Documentation

## nc_libvers

const char nc_libvers[] = PACKAGE_VERSION " of "__DATE__" "__TIME__" $"

static

Definition at line 18 of file derror.c.